Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FB2AContext Class Reference

`#include <FB2TextContext.h>`

Inheritance diagram for libebook::FB2AContext:

## Public Member Functions
| FB2AContext (FB2ParserContext *parentContext, const FB2Style &style)
Public Member Functions inherited from libebook::FB2StyleContextBase
| FB2StyleContextBase (FB2ParserContext *parentContext, const FB2Style &style)
Public Member Functions inherited from libebook::FB2ParserContext
| FB2ParserContext (FB2ParserContext *parentContext, FB2Collector *collector=0)
| Create a new context with `parentContext` as parent. More...
virtual FB2XMLParserContext * | leaveContext () const
| Destroy this context and return parent. More...
FB2Collector * | getCollector () const
| Get the collector. More...
FB2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FB2XMLParserContext
virtual | ~FB2XMLParserContext ()=0

## Private Member Functions
virtual void | startOfElement ()
| Signalize the start of an element. More...
virtual void | endOfAttributes ()
| Signalize the end of attributes. More...
virtual void | attribute (const FB2TokenData &name, const FB2TokenData *ns, const char *value)
| Process an attribute. More...
virtual void | text (const char *text)
| Process textual content of an element. More...

## Private Attributes
std::string | m_href
bool | m_valid
bool | m_note

## Additional Inherited Members
Protected Member Functions inherited from libebook::FB2StyleContextBase
FB2Style & | getStyle ()
FB2TextFormat & | getTextFormat ()
virtual FB2XMLParserContext * | element (const FB2TokenData &name, const FB2TokenData &ns)
| Create a context for parsing a child element. More...
virtual void | endOfElement ()
| Signalize the end of an element. More...

## Constructor & Destructor Documentation

## § FB2AContext()

libebook::FB2AContext::FB2AContext | ( | FB2ParserContext * | parentContext,
|  | const FB2Style & | style
| ) |  |

## Member Function Documentation

## § attribute()

void libebook::FB2AContext::attribute | ( | const FB2TokenData & | name,
|  | const FB2TokenData * | ns,
|  | const char * | value
| ) |  |
| private virtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Reimplemented from libebook::FB2StyleContextBase.

## § endOfAttributes()

void libebook::FB2AContext::endOfAttributes | ( |  | ) |
| private virtual

Signalize the end of attributes.

Reimplemented from libebook::FB2StyleContextBase.

## § startOfElement()

void libebook::FB2AContext::startOfElement | ( |  | ) |
| private virtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FB2XMLParserContext.

## § text()

void libebook::FB2AContext::text | ( | const char * | value | ) |
| private virtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Reimplemented from libebook::FB2StyleContextBase.

## Member Data Documentation

## § m_href

std::string libebook::FB2AContext::m_href
| private

Referenced by attribute(), endOfAttributes(), and text().

## § m_note

bool libebook::FB2AContext::m_note
| private

Referenced by attribute(), endOfAttributes(), and text().

## § m_valid

bool libebook::FB2AContext::m_valid
| private

Referenced by attribute(), and endOfAttributes().

The documentation for this class was generated from the following files:

- FB2TextContext.h
- FB2TextContext.cpp